{% assign newsletter_title = '' %}
{% assign newsletter_description = '' %}

{% if show_text %}
  {% load_banners position: 'rodape-newsletter' limit: 1 %}
  {% for banner in loaded_banners %}

    {% if banner.subtitle != blank %}
      {% assign newsletter_title = banner.subtitle %}
    {% endif %}

    {% if banner.description != blank %}
      {% assign newsletter_description = banner.description %}
    {% endif %}

  {% endfor %}
{% endif %}

<form class="form-newsletter" data-webform="newsletter" id="newsletter-form" name="newsletter">

  {% if newsletter_title != blank %}
    <h3 class="newsletter-title">
      {{ newsletter_title }}
    </h3>
  {% endif %}

  <fieldset form="newsletter-form">
    <input type="hidden" name="key" value="{{ current_shop.subdomain }}-newsletter">
    <input id="reply_to" name="reply_to" type="hidden" value="">

    <input autocomplete="off" name="vnda" required tabindex="-1" type="text"/>

    <div class="field">
      <div class="input-wrapper">
        <input class="input" name="email" placeholder="Digite seu e-mail aqui" required type="email"/>
      </div>
      <button aria-label="Cadastrar e-mail na newsletter" class="action button-default" type="button">
        Enviar
      </button>
    </div>
  </fieldset>

  <div class="messages" data-msg-retorno>
    <p class="msg-received" data-msg></p>
    <p class="msg-received msg-success" data-msg-success>
      Obrigado! Enviado com sucesso.
    </p>
    <p class="msg-received msg-error" data-msg-error>
      Problema ao enviar, tente novamente.
    </p>
  </div>

  {% if newsletter_description != blank %}
    <div class="newsletter-description">
      {{ newsletter_description }}
    </div>
  {% endif %}

</form>
